// swift-tools-version: 5.7
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "EventDrivenSwift",
    platforms: [
        .macOS(.v10_15),
        .iOS(.v13),
        .tvOS(.v13),
        .watchOS(.v6)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(
            name: "EventDrivenSwift",
            targets: ["EventDrivenSwift"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(url: "https://github.com/Flowduino/ThreadSafeSwift.git", .upToNextMajor(from: "1.1.0")),
        .package(url: "https://github.com/Flowduino/Observable.git", .upToNextMajor(from: "2.0.0")),
    ],
    targets: [
        // Targets are the basic building blocks of a package. A target can define a module or a test suite.
        // Targets can depend on other targets in this package, and on products in packages this package depends on.
        .target(
            name: "EventDrivenSwift",
            dependencies: [
                .product(name: "ThreadSafeSwift", package: "ThreadSafeSwift"),
                .product(name: "Observable", package: "Observable"),
            ]
        ),
        .testTarget(
            name: "EventDrivenSwiftTests",
            dependencies: [
                "EventDrivenSwift",
                .product(name: "ThreadSafeSwift", package: "ThreadSafeSwift"),
                .product(name: "Observable", package: "Observable"),
            ]),
    ]
)
